%define oname   hashdiff

Name:       ruby-%{oname}
Version:    1.0.1
Release:    %mkrel 1
Summary:    HashDiff is a diff lib to compute the smallest difference between two hashes
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/liufengyun/hashdiff
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
HashDiff is a diff lib to compute the smallest difference between two hashes.

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files

%{gem_instdir}
%{gem_spec}

%files          doc
%{gem_docdir}



%changelog
* Sat Mar 28 2020 pterjan <pterjan> 1.0.1-1.mga8
+ Revision: 1561771
- Update to 1.0.1

* Fri Feb 14 2020 umeabot <umeabot> 0.3.8-2.mga8
+ Revision: 1522453
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 0.3.8-1.mga7
+ Revision: 1360764
- Update to 0.3.8

* Fri Sep 21 2018 umeabot <umeabot> 0.3.7-2.mga7
+ Revision: 1290966
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 pterjan <pterjan> 0.3.7-1.mga7
+ Revision: 1214238
- Update to 0.3.7

* Sun Sep 10 2017 pterjan <pterjan> 0.3.6-1.mga7
+ Revision: 1152314
- Update to 0.3.6

* Sat Aug 19 2017 pterjan <pterjan> 0.3.5-1.mga7
+ Revision: 1141716
- Update to 0.3.5

* Sat Mar 12 2016 pterjan <pterjan> 0.3.0-1.mga6
+ Revision: 989739
- imported package ruby-hashdiff

